<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Secure Question Panel
| Version: 1.00
| File Name: secure_contact_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
| Developers: DJPromo
| Site: http://www.php-fusion.pl
+--------------------------------------------------------+
| Dostosowanie do secure_contact_panel by: DJPromo
|                 ---PHP-Fusion.pl---
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

add_to_head("<style type='text/css'>

.secure_contact-intro {
			border: 1px solid;
			margin: 1px 0px;
			padding: 10px 10px 14px 40px;
			background-repeat: no-repeat;
			background-position: 10px center;
			color: #6D1818;
			vertical-align:middle;
			background-color: #FFBABA;
			background-image: url(".BASEDIR."infusions/secure_contact_panel/images/stop.png);
			border-radius: 5px;
			-moz-border-radius: 5px;
			-webkit-border-radius: 5px;
			}


.secure_contact-question { 
			font-size:19px; 
			color:#336600; 
			font-family: 'Over the Rainbow', cursive, Arial, Helvetica, sans-serif; 
			text-decoration: none;
			text-shadow: #6374AB 4px -2px 2px;
			font-weight: bold;
}

.secure_contact-fieldset { 
			border: 1px solid #ccc; 
			text-align:left; 
			width: 390px; 
			padding: 5px 4px;
			border-radius:5px;
			-moz-border-radius:5px; 
			-webkit-border-radius:5px; 
			-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
			-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
}

.secure_contact-legend {
			color: #ccc;  
			font-size: 12px; 
			font-weight:700; 
			padding: 2px 4px; 
			margin-right: 0.7em;
}

.secure_contact-error{
			font-family: Verdana, Arial, Helvetica, sans-serif; 
			font-size: 11px; 
			text-align: center; 
			color: #555; 
			background-color: #FEEFFF; 
			border: 1px solid #e1e1e1;
			 padding: 3px 4px 5px 4px; 
			 margin-bottom: 5px; 
			 border-radius: 5px; 
			 -moz-border-radius: 5px;
			 -webkit-border-radius: 5px; 
			 -moz-box-shadow: 0 1px 0 rgba(255, 255, 255, 0.20); 
			 -webkit-box-shadow : 0 1px 0 rgba(255, 255, 255, 0.20); 
 }
 
</style>");
?>