<?php

/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Secure Question Panel
| Version: 1.00
| File Name: secure_contact_panel.php
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
| Developers: DJPromo
| Site: http://www.php-fusion.pl
+--------------------------------------------------------+
| Dostosowanie do secure_contact_panel by: DJPromo
|                 ---PHP-Fusion.pl---
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
require_once THEMES."templates/header.php";
	
	if (file_exists(INFUSIONS."secure_contact_panel/locale/".$settings['locale'].".php")) {
   include INFUSIONS."secure_contact_panel/locale/".$settings['locale'].".php";
     } else {
   include INFUSIONS."secure_contact_panel/locale/English.php"; 
}

add_to_title($locale['global_200'].$locale['secure_contact_001']);

//SETTINGS
$secure_contact ="1"; //// 1 = On  | 2 = Off

if ($secure_contact !== '1') { redirect(BASEDIR."index.php"); }
if (isset($_COOKIE['secure_contact'])) { redirect (BASEDIR."contact.php"); }      


if($secure_contact == '1') {
add_to_head("<script type='text/javascript' src='".INCLUDES."jquery/admin-msg.js'></script>");
// Google Webfont
add_to_head("<link href='http://fonts.googleapis.com/css?family=Over+the+Rainbow' rel='stylesheet' type='text/css'>");
require_once INFUSIONS."secure_contact_panel/includes/styles.php";
   opentable($locale['secure_contact_001']);

   $error = "";

   // Checking if the Form is Submitted or Not
   if (isset($_POST['secure_contact_submit']))
   {
      if (isset($_POST['secure_contact_answer']))
      {
         $secure_contact_answer = stripinput(trim($_POST['secure_contact_answer']));
      }
      else {
         $error .= $locale['secure_contact_error1']."<br />\n";
      }

      if (isset($_POST['secure_contact_question']))
      {
         $secure_contact_question = stripinput(trim($_POST['secure_contact_question']));
      }
      else {
         $error .= $locale['secure_contact_error1']."<br />\n";
      }

      // Check the Answer if it is not empty and Correct
      if ($secure_contact_answer != "")
      {
         if (strtolower($locale['secure_contact_answer'][$secure_contact_question]) != strtolower($secure_contact_answer))
         {
            $error .= $locale['secure_contact_error2']."<br />\n";
         }
         else {
		 // Set Cookie for 10 mins & redirect to register.php 
            $error .= setcookie("secure_contact", "secure_contact_submit", time()+600); redirect(BASEDIR."contact.php");
         }
      }
      else {
            $error .= $locale['secure_contact_error1']."<br />\n";
      }
   }


srand ((double)microtime()*1000000);
$secure_contact_question = rand(1, 10);

     echo"<div class='secure_contact-intro'>".$locale['secure_contact_003']." </div>\n
	 <br />\n<hr width='90%'>\n
	 </hr>\n
	 <div class='' valign='top' align='center'>\n
	 <fieldset class='secure_contact-fieldset'><legend class='secque-legend'>".$locale['secure_contact_001']."</legend>\n";
     echo "<div class='secure_contact-question'> ".$locale['secure_contact_question'][$secure_contact_question]."</div>\n";
     echo "<br />\n";
     echo "<form name='secure_contact_answer' method='post' action='".FUSION_SELF."'>\n";
     echo $locale['secure_contact_005']." <input type='text' name='secure_contact_answer' maxlength='100' class='textbox' style='width:200px; vertical-align:middle;'>\n";
     echo "<input type='hidden' name='secure_contact_question' value='".$secure_contact_question."'>\n";
     echo"<input type='submit' name='secure_contact_submit' value='".$locale['secure_contact_004']."' class='button'></form>\n";
     echo "</fieldset>\n
	 </div>\n
	 <br />\n";
	 
if ($error){
     echo"<div id='close-message'><div class='secure_contact-error'>".$error."</div>
	 \n</div>\n";
}
unset($secure_contact_question);
closetable();

}

require_once THEMES."templates/footer.php";
?>